---
title: Naomi's Public License
---

**Effective 7 July 2024**

All of Our Open Source Software are licensed under these terms.

## 1. Definitions

### 1.1. Software

The code, documentation text, and other related materials licensed under this License.

This includes, but is not limited to:

- Source code files
- Compiled binaries
- Configuration files
- User manuals and documentation
- Development tools and scripts directly related to the software

### 1.2. Assets

The non-Software copyrighted materials, such as images, logos, and names.

This may include:

- Graphical elements (icons, backgrounds, etc.)
- Audio files
- Video content
- Trademarks and brand elements
- Any other creative works associated with the Software but not part of its functional code

### 1.3. Package

Software specifically bundled to be used in other Works.

This refers to:

- Libraries or modules designed for integration
- APIs or SDKs
- Any component of the Software intended for use within larger systems or applications

### 1.4. We, Us, and Our

Naomi Carrigan, and her software consulting firm nhcarrigan.

This includes:

- Naomi Carrigan in her individual capacity
- All employees, contractors, and representatives of nhcarrigan
- Any successors or assigns of nhcarrigan

### 1.5. You and Your

The individual or entity exercising the rights granted under this License.

This may refer to:

- Individual users
- Organizations or companies
- Government entities
- Any other legal entity using or modifying the Software

### 1.6. Contributor(s)

An individual or entity who contributes to the Software.

This includes anyone who:

- Submits code changes or additions
- Provides documentation improvements
- Offers bug fixes or feature enhancements
- Contributes in any other substantive way to the development of the Software

### 1.7. Contribution(s)

Any work submitted by a Contributor to the Software, such as Source Code or Assets.

This encompasses:

- Code submissions (additions, modifications, or deletions)
- Documentation updates
- Asset contributions (e.g., new icons or graphics)
- Bug reports with proposed fixes
- Feature suggestions with implementation details

### 1.8. Source Code

The code in its original form, as written by the author(s).

This refers to:

- Human-readable programming language files
- Configuration and build scripts
- Any other files necessary to compile or run the Software

### 1.9. Open Source

Software where the Source Code has been made publicly available under this License.

This implies:

- The code can be viewed by anyone
- Users have the right to modify and distribute the code under the terms of this License
- The software adheres to open source principles of transparency and collaboration

### 1.10. License

This document.

Specifically:

- The entire text of this agreement
- Any referenced attachments or appendices
- The most current version as indicated in the document

### 1.11. Works

Any works derived from the Software, such as modifications, distributions, and incorporations.

This includes:

- Modified versions of the Software
- Applications or systems that incorporate the Software
- Distributions of the Software, whether modified or not
- Any product that significantly relies on or extends the functionality of the Software

## 2. Use of Software

This license grants You the right to use Our Open Source software under the following terms.

### 2.1. Do No Harm

You may not use Our Software in any way that may cause harm to Us, Our Software, or Our Assets. Additionally, You may not use Our Software in any way that may cause harm to other individuals or entities.

#### 2.1.1. Definition of Harm

For the purposes of this License, "harm" includes, but is not limited to:

- Financial loss or damage
- Violation of privacy or data protection laws
- Engagement in or facilitation of illegal activities
- Promotion or encouragement of hate speech or discrimination
- Reputational damage
- Intellectual property infringement
- Compromise of system security or integrity
- Physical or emotional harm to individuals

#### 2.1.2. Specific Prohibitions

Without limiting the generality of the above, You are explicitly prohibited from using Our Software:

- To conduct or facilitate fraudulent activities
- To distribute malware or engage in cyber attacks
- To harvest or collect personal data without proper consent
- To impersonate others or engage in identity theft
- To violate the terms of service of any platform or service
- To interfere with the operation of other software or networks
- To create or distribute content that is defamatory, obscene, or otherwise illegal

#### 2.1.3. Responsibility for Downstream Usage

If You distribute or make available Our Software to others, You are responsible for ensuring that those users also adhere to the "Do No Harm" principle outlined in this License.

#### 2.1.4. Reporting Harmful Usage

If You become aware of any use of Our Software that violates this "Do No Harm" principle, You are encouraged to report it to Us immediately through Discord: https://chat.nhcarrigan.com

#### 2.1.5. Consequences of Violation

Violation of this "Do No Harm" principle may result in immediate termination of Your rights under this License, and may subject You to legal action where applicable.

#### 2.1.6. Indemnification

You agree to indemnify and hold Us harmless from any claims, damages, or legal actions arising from Your use of Our Software in violation of this "Do No Harm" principle.

### 2.2. Code of Conduct

Use of Our Software must not be in violation of Our Code of Conduct. This requirement extends to all aspects of interaction with Our Software, including but not limited to:

#### 2.2.1. User Behavior

All users of Our Software must adhere to the principles outlined in Our Code of Conduct when interacting with other users, contributors, or maintainers in any forum related to Our Software.

#### 2.2.2. Content Creation

Any content created using Our Software must comply with the standards set forth in Our Code of Conduct, including but not limited to avoiding hate speech, discrimination, and harassment.

#### 2.2.3. Project Atmosphere

Users who maintain projects that incorporate Our Software are responsible for fostering an inclusive and respectful environment in line with Our Code of Conduct.

#### 2.2.4. Reporting Violations

Users are encouraged to report any violations of the Code of Conduct they observe in relation to Our Software. Reports can be made through license@nhcarrigan.com

#### 2.2.5. Consequences of Violation

Violations of Our Code of Conduct may result in:

- Warnings
- Temporary suspension of access to Our Software or related communities
- Permanent ban from using Our Software or participating in related communities
- Revocation of this License

#### 2.2.6. Enforcement

We reserve the right to enforce the Code of Conduct at Our discretion. Enforcement actions will be proportional to the severity and frequency of the violations.

#### 2.2.7. Updates to Code of Conduct

Users are responsible for staying informed about any updates to Our Code of Conduct. Significant changes will be communicated through our Discord server: https://chat.nhcarrigan.com

### 2.3. Source Control

Custom instances of Our Software must remain Open Source under this License. This requirement ensures transparency, promotes collaboration, and maintains the integrity of Our Software ecosystem.

#### 2.3.1. Definition of Custom Instances

For the purposes of this License, "custom instances" refer to any modified, adapted, or derivative versions of Our Software created by You or any third party.

#### 2.3.2. Open Source Requirement

All custom instances of Our Software must:

- Be made available to the public in source code form
- Be licensed under the terms of this License
- Include a copy of this License with the source code

#### 2.3.3. Source Code Availability

The source code for custom instances must be:

- Hosted in a publicly accessible repository (e.g., GitHub, GitLab, CodeBerg)
- Made available free of charge
- Kept up-to-date with any changes or modifications

#### 2.3.4. Documentation of Changes

For any custom instance, You must:

- Clearly document all modifications made to Our Software
- Provide a changelog detailing the nature and date of each significant change
- Identify the original source of Our Software and acknowledge Our copyright

#### 2.3.5. Forking and Branching

When creating custom instances through forking or branching:

- The fork or branch must be public and accessible
- The relationship to Our original Software must be clearly stated
- Any significant divergence from Our Software should be clearly communicated

#### 2.3.6. Contributions Back to Original Software

While not required, You are encouraged to contribute improvements and bug fixes back to Our original Software through pull requests or other appropriate means.

#### 2.3.7. Exceptions

Any exceptions to these Source Control requirements must be explicitly granted by Us in writing.

#### 2.3.8. Compliance Verification

We reserve the right to verify compliance with these Source Control requirements at any time. Upon request, You must provide Us with access to the source code and documentation for any custom instance of Our Software.

#### 2.3.9. Consequences of Non-Compliance

Failure to comply with these Source Control requirements may result in:

- Termination of Your rights under this License
- A requirement to immediately cease distribution of the non-compliant custom instance
- Legal action to enforce compliance

## 3. Modification of Software

Modifications of Our Software are permitted under the following terms.

### 3.1. Licensing

All modifications of Our Software must be licensed under this License. This ensures consistency in the licensing terms across all versions and derivatives of Our Software.

#### 3.1.1. Definition of Modifications

For the purposes of this License, "modifications" include, but are not limited to:

- Any changes to the source code of Our Software
- Additions to or deletions from Our Software's functionality
- Alterations to Our Software's user interface
- Translations of Our Software into other languages
- Adaptations of Our Software for different platforms or environments

#### 3.1.2. Scope of Licensing Requirement

The requirement to license modifications under this License applies to:

- All modified components of Our Software
- Any new components that are integral to the functioning of the modified version
- Documentation related to the modifications

#### 3.1.3. Inclusion of License

When distributing modifications of Our Software, You must:

- Include a complete copy of this License with the distribution
- Retain all copyright, patent, trademark, and attribution notices from the original Software
- State clearly that the Software has been modified and provide a brief description of the modifications

#### 3.1.4. Nomenclature and Branding

Modified versions of Our Software:

- Must be clearly distinguished from the original Software in name and branding
- May not use Our trademarks or logos without Our explicit permission
- Should include a statement that they are derived from Our Software, with a link to the original Software's repository

#### 3.1.5. Compatibility with Original License

Any additional terms You wish to apply to Your modifications:

- Must not conflict with the terms of this License
- Must be clearly stated as applying only to Your modifications
- May not alter or restrict the terms of this License as they apply to the original Software

#### 3.1.6. Contributions and Sublicensing

By applying this License to modifications of Our Software:

- You grant Us and all recipients of the modified Software the same rights and obligations as outlined in this License
- You may not sublicense the modifications under any other terms

#### 3.1.7. Notification of Significant Modifications

For significant modifications that substantially alter the functionality or purpose of Our Software, You are encouraged to:

- Notify Us of the nature and extent of the modifications
- Consider submitting the modifications as contributions to the original Software

#### 3.1.8. Compliance and Enforcement

We reserve the right to:

- Verify compliance with these licensing requirements
- Request access to the source code of any modified versions of Our Software
- Take appropriate action, including legal measures, to enforce these licensing terms

## 4. Incorporation of Software

Elements of Our Software, such as code snippets, may be incorporated into other Works under the following terms.

### 4.1. Licensing

The specific elements of Our Software used in another Work must be made available under this License. The portions of the project that are not incorporated from Our Software may be licensed under any terms. This approach allows for flexibility in incorporating Our Software into larger projects while maintaining the integrity of Our licensing terms.

#### 4.1.1. Definition of Incorporation

For the purposes of this License, "incorporation" refers to:

- Direct inclusion of Our Software's code in another Work
- Adaptation of Our Software's code for use in another Work

#### 4.1.2. Scope of License Application

The terms of this License apply specifically to:

- Any code, functions, or modules directly copied from Our Software
- Any derivatives or modifications of Our Software's code
- Any part of Our Software that is essential to the functioning of the incorporated elements

#### 4.1.3. Dual Licensing

In cases where Our Software is incorporated into a larger Work:

- The incorporated elements must be clearly identified
- These elements must be made available under the terms of this License
- The remainder of the Work may be licensed under different terms, provided they do not conflict with this License

#### 4.1.4. License Compatibility

When incorporating Our Software into a Work with a different license:

- You must ensure that the terms of the other license do not restrict or interfere with the terms of this License as it applies to Our Software
- If conflicts arise, the terms of this License take precedence for the incorporated elements

#### 4.1.5. Notification of Incorporation

When incorporating Our Software into another Work, You should:

- Clearly indicate which parts of the Work are derived from or incorporate Our Software
- Provide a copy of this License or a link to it
- Explain how users can obtain the source code for the incorporated elements under the terms of this License

#### 4.1.6. Distribution of Incorporated Elements

When distributing a Work that incorporates Our Software:

- You must make the source code of the incorporated elements available under this License
- You may choose how to make the rest of the Work's source code available, if at all

#### 4.1.7. Attribution for Incorporated Elements

You must provide proper attribution for the incorporated elements as outlined in section 7 of this License.

#### 4.1.8. Modifications to Incorporated Elements

Any modifications to the elements incorporated from Our Software:

- Must also be made available under this License
- Should be clearly documented and distinguished from the original incorporated elements

#### 4.1.9. Responsibility for License Compliance

You are responsible for ensuring that the incorporation of Our Software and the licensing of the resulting Work comply with all applicable license terms, including this License.

## 5. Use of Packages

Certain Software may be packaged and distributed specifically for use in other Works. Software that We distribute in such a manner may be used in other Works under the following terms.

### 5.1. Source Code

Works that solely use Our Packages, and do not incorporate any other elements of Our Software, are not required to provide a link to the Source Code of Our Software. This provision aims to simplify the use of Our Packages in other projects.

#### 5.1.1. Definition of "Solely Using Our Packages"

For the purposes of this License, "solely using Our Packages" means:

- Utilizing Our Packages as dependencies or modules in Your Work
- Not modifying the internal code of Our Packages
- Not incorporating any other parts of Our Software beyond the Packages

#### 5.1.2. Scope of Exemption

This exemption from providing a link to Our Source Code:

- Applies only to Works that use Our Packages as-is
- Does not extend to any modifications or derivatives of Our Packages

#### 5.1.3. Recommended Practice

While not required, We encourage You to:

- Mention the use of Our Packages in Your documentation
- Provide a link to Our Packages' documentation or repository for reference

#### 5.1.4. Responsibility for Updates

You are responsible for:

- Keeping Our Packages updated in Your Work
- Addressing any security issues that may arise from using Our Packages

#### 5.1.5. No Implication of Endorsement

The use of Our Packages does not imply Our endorsement of Your Work. You must not claim or imply such endorsement without Our explicit permission.

## 6. Distribution

Our Software, as well as any Works derived from Our Software, may be distributed under the following terms.

### 6.1. Source Code

Any Works that are publicly hosted must link to:

- The Source Code for the Work, if the Work falls under Section 2.
- The Source Code for incorporations of or modifications to Our Software, if the Work falls under Sections 3 or 4.

#### 6.1.1. Definition of "Publicly Hosted"

For the purposes of this License, "publicly hosted" means:

- Available for use, download, or access by the general public
- Distributed through any public platform, including but not limited to websites, app stores, or code repositories
- Shared with any third parties outside of Your organization

#### 6.1.2. Source Code Availability Requirements

The Source Code must be:

- Easily accessible through a prominent link
- Available without requiring payment or registration
- Complete and sufficient to build and run the Work
- Provided in a format commonly used for software development

#### 6.1.3. Linking Requirements

The link to the Source Code must be:

- Clearly visible and easily discoverable
- Included in the Work's documentation, README file, or equivalent
- Present on any website or platform where the Work is distributed
- Functional and directly leading to the Source Code

#### 6.1.4. Version Correspondence

The linked Source Code must:

- Correspond exactly to the distributed version of the Work
- Be updated promptly with each new release or significant update

#### 6.1.5. Hosting and Maintenance

You are responsible for:

- Ensuring the continuous availability of the linked Source Code
- Maintaining the integrity and security of the hosting platform
- Providing an alternative means of accessing the Source Code if the primary link becomes unavailable

#### 6.1.6. License Inclusion

The Source Code repository must include:

- A copy of this License
- Clear instructions on how to obtain and use the Source Code

#### 6.1.7. Modifications and Incorporations

For Works falling under Sections 3 or 4:

- Clearly indicate which parts are derived from or incorporate Our Software
- Provide separate links to the Source Code of Our original Software and Your modifications, if applicable

#### 6.1.8. Exceptions

Exemptions from these Source Code linking requirements:

- Must be explicitly granted by Us in writing
- Will be considered on a case-by-case basis
- Do not exempt You from other terms of this License

#### 6.1.9. Consequences of Non-Compliance

Failure to comply with these Source Code linking requirements may result in:

- Revocation of Your rights under this License
- A requirement to immediately cease distribution of the Work
- Legal action to enforce compliance

## 7. Attribution

All modifications of Our Software must be attributed to the original author(s) of the Software. This requirement ensures proper recognition of the original creators and maintains transparency about the software's lineage.

### 7.1 Required Attribution Elements

When distributing modifications of Our Software, You must include the following attribution elements:

- The name(s) of the original author(s) or organization(s)
- The title of the original Software
- A link to the original Software's repository or website
- The copyright notice associated with the original Software

### 7.2. Placement of Attribution

The attribution must be prominently displayed in:

- The source code of the modified Software
- Any documentation accompanying the modified Software
- The user interface, if applicable and reasonable

### 7.3. Format of Attribution

The attribution should be presented in a clear and readable format. For example:

```md
This software is a modification of [Original Software Name] by Naomi Carrigan.
Original software: [Link to original repository]
Copyright (c) 2024 Naomi Carrigan
```

### 7.4. Attribution in Derivative Works

If Your modifications result in a substantially different Work:

- You must still provide attribution to the original Software
- You may add Your own copyright notice alongside the original attribution
- You should clearly indicate which parts are Your modifications

### 7.5. Prohibition on Misattribution

You must not:

- Misrepresent the origin of the Software
- Imply endorsement by the original authors without explicit permission
- Remove or alter any existing attribution in the original Software

### 7.6. Attribution in Binary Distributions

If You distribute only binary versions of the modified Software:

- The attribution must be included in accompanying documentation
- You must provide a means for users to view the full attribution and license

### 7.7 Attribution in Larger Works

If You include the modified Software as part of a larger work:

- The attribution for Our Software must be clearly distinguishable
- You must not imply that the entire work is governed by this License

### 7.8. Updates to Attribution

You are responsible for keeping the attribution up-to-date if:

- The original Software updates its attribution requirements
- You incorporate additional third-party components that require attribution

### 7.9. Waiver of Attribution

Any waiver of these attribution requirements must be explicitly granted by Us in writing.

## 8. Downstream Behaviour

Works that use or modify our Software or Packages are still required to follow our Code of Conduct. This ensures that all projects associated with Our Software maintain ethical standards and foster a positive community.

### 8.1. Scope of Code of Conduct Application

The Code of Conduct applies to:

- The development process of Works using Our Packages
- Any community interactions related to the use of Our Packages
- Support forums, issue trackers, or other platforms where Our Packages are discussed in relation to Your Work

### 8.2. Responsibility for Enforcement

You are responsible for:

- Ensuring that contributors to Your Work are aware of and adhere to Our Code of Conduct
- Enforcing the Code of Conduct in Your project's community spaces
- Addressing violations of the Code of Conduct promptly and appropriately

### 8.3. Reporting Violations

If You encounter violations of the Code of Conduct related to the use of Our Packages:

- You should address them within Your project's scope if they occur in Your community spaces
- You may report serious or persistent violations to Us for further action

### 8.4. Consequences of Non-Compliance

Failure to adhere to the Code of Conduct may result in:

- Revocation of Your right to use Our Packages
- Disassociation of Your Work from Our Software ecosystem
- Public notice of non-compliance, if deemed necessary

### 8.5. Modifications to the Code of Conduct

We reserve the right to update Our Code of Conduct. You are responsible for:

- Staying informed about any changes to the Code of Conduct
- Implementing updated versions of the Code of Conduct in a timely manner

### 8.6. Extending the Code of Conduct

You may extend or adapt the Code of Conduct for Your specific project needs, provided that:

- Your modifications do not weaken or contradict Our original Code of Conduct
- You clearly indicate which parts are Your extensions

## 9. Assets

Any non-Software Asset, unless specifically provided with the Source Code of Our Software, may not be used in any Modifications, Incorporations, or Distributions of Our Software.

Assets specifically belong to Us, and the License does not grant any rights to reuse, modification, or distribution of Assets.
Prior versions of Our Software may have included Assets which were removed in a later version. The removal of an Asset from Our Source Code constitutes a revocation of the rights to use said Asset.

### 9.1 Definition of Assets

For the purposes of this License, "Assets" include, but are not limited to:

- Images, icons, and graphics
- Audio files and sound effects
- Video content
- Fonts and typefaces
- Logos and branding materials
- Text content and documentation not integral to the Software's functionality
- Data files and databases

### 9.2 Ownership and Rights

- We retain full ownership and all rights to all Assets associated with Our Software.
- The License granted for the Software does not extend to any Assets unless explicitly stated.

### 9.3 Prohibited Uses

You may not:

- Use Our Assets in any Modifications of Our Software
- Incorporate Our Assets into other Works
- Distribute Our Assets separately from or alongside Our Software
- Alter, manipulate, or create derivative works of Our Assets

### 9.4 Exceptions

- Assets that are explicitly marked as freely usable or provided under a separate license within Our Source Code may be used according to the terms specified for those specific Assets.
- Any exceptions must be granted by Us in writing and will be considered on a case-by-case basis.

### 9.5 Removal and Revocation

- We reserve the right to remove any Asset from Our Software at any time.
- The removal of an Asset from Our Source Code immediately revokes any previous rights or permissions to use that Asset, even if it was present in earlier versions of the Software.

### 9.5.3 Upon removal of an Asset, You must:

- Cease all use of the removed Asset
- Remove the Asset from any Modifications or Distributions of Our Software
- Ensure that the Asset is not used in any future versions or forks of Our Software under Your control

### 9.6 Responsibility

- You are responsible for ensuring that You do not use, modify, or distribute Our Assets in violation of these terms.
- You agree to indemnify and hold Us harmless from any claims arising from Your unauthorized use of Our Assets.

### 9.7 Reporting Violations

If You become aware of any unauthorized use of Our Assets, You are encouraged to report this to Us immediately.

### 9.8 No Implied Rights

The presence of an Asset in Our Software does not imply any right to use that Asset outside the scope of this License.

### 9.9 Separate Agreements

For any use of Our Assets not covered by this License, a separate agreement must be negotiated and obtained from Us.

## 10. Contributions

By making contributions to the software, whether in the form of code, documentation, or any other material, You agree to the following:

### 10.1 Grant of Copyright

You hereby grant Us and Our successors a perpetual, worldwide, non-exclusive, royalty-free, irrevocable license to use, reproduce, modify, distribute, sublicense, and otherwise exploit Your Contributions, including any intellectual property rights therein, in any manner and for any purpose, without any obligation to provide attribution or compensation.

You retain all copyright over Your individual Contributions, and may use Your Contributions in Works outside of this License. Contributing to Our Software does not grant any copyright over the Software, with or without your Contributions.

#### 10.1.1 Scope of License

This license grant covers:

- All forms of Your Contributions, including but not limited to source code, documentation, designs, and ideas
- Any patents You own or control that are necessarily infringed by Your Contributions

#### 10.1.2 Our Rights

We may:

- Incorporate Your Contributions into the Software at Our discretion
- Modify or adapt Your Contributions as We see fit
- Remove Your Contributions from the Software at any time

#### 10.1.3 Your Retained Rights

You retain the right to:

- Use Your Contributions in other projects
- License Your Contributions to others under different terms

#### 10.1.4 No Obligation for Inclusion

We are under no obligation to include Your Contributions in the Software.

### 10.2 Licensing of Contributions

All contributions You make to the Software will be licensed under the same terms and conditions as the original Software, subject to the terms of this License. You understand and acknowledge that Your Contributions will become an integral part of the software and will be subject to the same rights and obligations as the original codebase.

#### 10.2.1 Integration with Existing License

Your Contributions will be subject to:

- All terms and conditions of this License
- Any future modifications to the License that We may make

#### 10.2.2 No Special Rights

Contributing does not grant You:

- Any special rights or privileges within the project
- The ability to dictate how Your Contributions are used or modified

#### 10.2.3 Future License Changes

You agree that We may:

- Change the license of the entire Software, including Your Contributions, in the future
- Dual-license the Software, including Your Contributions, under additional licenses

### 10.3 Representation

You represent and warrant that You have the necessary rights to grant the above License and that Your Contributions do not infringe upon the intellectual property rights or other legal rights of any third party.

#### 10.3.1 Originality

You confirm that Your Contributions are:

- Your original work, or
- Derived from sources that You have the right to use and contribute under these terms

#### 10.3.2 Third-Party Content

If Your Contributions include or are based on third-party content, You warrant that:

- You have obtained all necessary permissions to include such content
- You have clearly identified any third-party content and its source

#### 10.3.3 Employment and Contractual Obligations

You warrant that:

- Your Contributions do not violate any employment or contractual obligations You may have
- You have obtained any necessary permissions from Your employer or clients to make these Contributions

#### 10.3.4 Intellectual Property Claims

You agree to:

- Promptly notify Us of any third-party intellectual property claims related to Your Contributions
- Cooperate with Us in addressing any such claims

#### 10.3.5 Accuracy of Information

You confirm that any information You provide about Your Contributions is accurate and complete to the best of Your knowledge.

## 11. Warranty

The Software provided under this license is provided "as is," without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose, and non-infringement. The entire risk as to the quality and performance of the software is with You. Should the software prove defective, You assume the cost of all necessary servicing, repair, or correction.

### 11.1 Disclaimer of Warranties

We explicitly disclaim all warranties, whether express, implied, or statutory, including but not limited to:

- Any warranty of merchantability
- Fitness for a particular purpose
- Non-infringement of third-party rights
- Absence of latent or other defects
- Accuracy or completeness of the Software

We make no warranties or representations regarding the use of the Software in terms of:

- Correctness
- Accuracy
- Reliability
- Current-ness
- Or otherwise

### 11.2 "As Is" Basis

You expressly understand and agree that your use of the Software is at your sole risk and that the Software is provided "as is" and "as available."

Any material downloaded or otherwise obtained through the use of the Software is done at your own discretion and risk, and you will be solely responsible for any damage to your computer system or other device or loss of data that results from the download of any such material.

### 11.3 No Guarantee of Performance or Results

We do not warrant that:

- The Software will meet your requirements
- The Software will be uninterrupted, timely, secure, or error-free
- The results that may be obtained from the use of the Software will be accurate or reliable
- Any errors in the Software will be corrected

### 11.4 Third-Party Content and Services

We make no warranties regarding any third-party content or services that may be accessible through the Software.

Your interactions with such third-party content or services are solely between you and the third party.

### 11.5 Security

While we strive to use commercially acceptable means to protect your information, we cannot guarantee its absolute security.

### 11.6 Modifications and Updates

We reserve the right to modify, suspend, or discontinue the Software at any time without notice.

We shall not be liable to you or to any third party for any modification, suspension, or discontinuance of the Software.

### 11.7 Your Responsibility

You acknowledge that:

- The software may contain errors, bugs, or inaccuracies
- It may not function as intended or expected
- You use it at your own risk and discretion

You are solely responsible for determining whether the software is suitable for your intended use.

### 11.8 Limitation of Remedies

Your exclusive remedy and our entire liability for any breach of this warranty shall be, at our option:

- Return of the price paid for the software (if any)
- Repair or replacement of the software

## 12. Limitation of Liability

In no event unless required by applicable law or agreed to in writing will We or Our Contributors be liable to You for damages, including any general, special, incidental, or consequential damages arising out of the use or inability to use the software (including but not limited to loss of data or data being rendered inaccurate or losses sustained by You or third parties), even if We or Our Contributors have been advised of the possibility of such damages.

Absolutely no liability will be held for Modifications or Incorporations of the Software. You are solely responsible for any damages caused by Your Modifications or Incorporations.

### 12.1 Scope of Limitation

This limitation of liability applies to:

- Us (the software providers)
- Our Contributors
- Any affiliated entities, directors, officers, employees, or agents

This limitation covers all forms of legal action, whether in contract, tort (including negligence), strict liability, or otherwise.

### 12.2 Types of Damages Excluded

We shall not be liable for any:

- Direct damages
- Indirect damages
- Incidental damages
- Special damages
- Consequential damages
- Punitive damages

This includes, but is not limited to, damages for:

- Loss of profits
- Loss of business
- Business interruption
- Loss of business opportunity
- Loss of goodwill
- Loss of use
- Loss or corruption of data
- Cost of procurement of substitute goods or services

### 12.3 Use of Software

We shall not be liable for any damages arising from:

- The use of the software
- The inability to use the software
- Any defect in the software
- Any error or omission in the software

This applies even if We or Our Contributors have been advised of the possibility of such damages.

### 12.4 Modifications and Incorporations

We explicitly disclaim all liability for any Modifications or Incorporations of the Software.

You assume full responsibility and risk for:

- Any modifications You make to the Software
- Any incorporations of the Software into other works

You agree to indemnify and hold Us harmless from any claims arising from Your Modifications or Incorporations.

### 12.5 Third-Party Claims

We shall not be liable for any claims or damages arising from third-party use of the Software, including use of any Modifications or Incorporations You create.

### 12.6 Limitation Amount

In jurisdictions that do not allow the exclusion or limitation of liability for certain damages, Our liability shall be limited to the maximum extent permitted by law.

In no event shall Our total liability to You for all damages exceed the amount paid by You for the Software, if any.

### 12.7 Essential Purpose

You acknowledge that this limitation of liability is an essential part of the bargain between You and Us and shall apply even if any remedy fails of its essential purpose.

### 12.8 Severability

If any portion of this limitation of liability is found to be invalid or unenforceable, the remaining portions shall remain in full force and effect.

## 13. Your Responsibility

You acknowledge and agree that Your use of the Software is at Your sole risk and discretion, and You are solely responsible for any loss or damage to Your computer system or other device, or loss of data that results from such use. You are also responsible for ensuring that Your use of the Software complies with all applicable laws and regulations.

### 13.1 Assumption of Risk

You expressly understand and agree that:

- Your use of the Software is at Your own risk
- You are solely responsible for any consequences resulting from Your use of the Software

This assumption of risk includes, but is not limited to:

- Any damage to Your computer systems or devices
- Loss of data
- Any other adverse effects resulting from the use or misuse of the Software

### 13.2 System Requirements and Compatibility

You are responsible for:

- Ensuring Your systems meet the minimum requirements for running the Software
- Verifying the compatibility of the Software with Your existing hardware and software

We do not guarantee that the Software will be compatible with all systems or configurations.

### 13.3 Data Management

You are solely responsible for:

- Backing up Your data before using the Software
- Implementing appropriate data management and protection measures

We are not responsible for any data loss or corruption that may occur as a result of using the Software.

### 13.4 Legal Compliance

You are responsible for ensuring that Your use of the Software complies with:

- All applicable local, state, national, and international laws and regulations
- Any specific regulations pertaining to Your industry or field of use

This includes, but is not limited to:

- Data protection and privacy laws
- Intellectual property laws
- Export control regulations

### 13.5 Ethical Use

You agree to use the Software in an ethical manner, including:

- Respecting the rights and privacy of others
- Not using the Software for any illegal or malicious purposes

### 13.6 Security Measures

You are responsible for implementing appropriate security measures, including:

- Protecting Your login credentials
- Securing Your systems against unauthorized access
- Promptly applying any security updates or patches we may provide

### 13.7 Modifications and Integrations

If You modify the Software or integrate it with other systems:

- You are solely responsible for any resulting issues or damages
- You must ensure these modifications or integrations comply with this License

### 13.8 Reporting Issues

You agree to promptly report any bugs, security vulnerabilities, or other issues You discover in the Software.

### 13.9 Indemnification

You agree to indemnify and hold Us harmless from any claims, damages, or expenses arising from:

- Your use of the Software
- Your violation of this License or any applicable laws

## 14. Enforcement

Enforcement of this License will be done at Our discretion. A decision not to enforce a License violation will not preclude Us from enforcing that violation or any other violation of this License in the future.

### 14.1 Discretionary Enforcement

We reserve the right to enforce the terms of this License at Our sole discretion.

Our enforcement actions may include, but are not limited to:

- Issuing warnings
- Requesting compliance within a specified timeframe
- Terminating the License for the violating party
- Taking legal action

Factors We may consider in deciding whether to enforce include:

- The severity of the violation
- The impact on other users or the broader community
- The violator's history of compliance or non-compliance
- The violator's willingness to rectify the violation

### 14.2 Non-Waiver

Our decision not to enforce a particular violation:

- Does not constitute a waiver of Our right to enforce that violation in the future
- Does not prevent Us from enforcing other violations of the License
- Does not imply approval or acceptance of the violating behavior

Each instance of a violation will be considered separately, regardless of past enforcement decisions.

### 14.3 Reporting Violations

Users are encouraged to report suspected License violations to Us.

Reports should include:

- A description of the suspected violation
- Any evidence supporting the claim
- The reporter's contact information (optional)

### 14.4 Investigation of Violations

We reserve the right to investigate any suspected violations of this License.

During an investigation, We may:

- Request additional information from involved parties
- Examine any relevant code, documentation, or other materials
- Temporarily suspend access to the Software for the party under investigation

### 14.5 Enforcement Actions

If We determine that a violation has occurred, We may take one or more of the following actions:

- Issue a warning to the violating party
- Require the violating party to remedy the violation within a specified timeframe
- Revoke the violating party's rights under this License
- Publicly disclose the violation and Our response to it
- Pursue legal remedies

### 14.6 Appeals Process

A party subject to enforcement action may appeal Our decision.

Appeals must be submitted in writing within 30 days of the enforcement action.

We will review appeals and make a final decision at Our discretion.

### 14.7 Cooperation with Authorities

We reserve the right to cooperate with any law enforcement or regulatory authority investigating potential violations of applicable laws related to the use of Our Software.

### 14.8 Modifications to Enforcement Policy

We may modify Our enforcement policies at any time without notice.

Any changes to enforcement policies will apply to all existing and future violations.

## 15. Termination

This License is effective until terminated. We may, at Our sole discretion, terminate this License at any time, with or without cause, and with or without notice. Upon termination, You shall cease all use of the software and destroy all copies, full or partial, of the software in Your possession.

Termination of this License shall not relieve You of any obligations or liabilities accrued prior to the termination date, including but not limited to any indemnification obligations and limitations of liability outlined in this License.

Breach of any terms or conditions of this License shall result in the immediate termination of this License.

### 15.1 Termination by Us

We reserve the right to terminate this License:

- At any time
- For any reason or no reason
- With or without prior notice

Reasons for termination may include, but are not limited to:

- Violation of any terms of this License
- Misuse of the Software
- Legal or regulatory requirements
- Discontinuation of the Software

### 15.2 Automatic Termination

This License terminates automatically if You:

- Fail to comply with any term or condition of this License
- Initiate any litigation against Us related to the Software

### 15.3 Effect of Termination

Upon termination of this License, You must:

- Immediately cease all use of the Software
- Destroy all copies, full or partial, of the Software in Your possession or control
- Remove the Software from all systems under Your control
- Cease distribution of any works derived from the Software

You must provide written confirmation of these actions upon Our request.

### 15.4 Survival of Terms

The following sections of this License shall survive termination:

- Any sections explicitly stated to survive termination
- All provisions regarding ownership, disclaimer of warranties, limitations of liability, and indemnification
- Any accrued rights or obligations

### 15.5 No Refunds

Termination of this License does not entitle You to any refunds, credits, or other compensation.

### 15.6 Reinstatement

Your rights under this License may be reinstated only upon Our express written consent.

Any reinstatement may be subject to additional terms and conditions.

### 15.7 Termination and Third Parties

Termination of Your License does not affect the rights of any third parties who have received the Software or derivative works from You in compliance with this License prior to termination.

### 15.8 Notification of Termination

While We may terminate this License without notice, We may choose to provide notification through:

- Email to Your last known address
- Posting on Our website or in the Software repository
- Any other means We deem appropriate

### 15.9 Appeal of Termination

If You believe the termination was in error, You may appeal the decision within 30 days of termination.

Appeals must be submitted in writing and will be reviewed at Our discretion.

## 16. License Versions

Versioning of this license is managed through git. You may view the version history [in these commits](https://codeberg.org/nhcarrigan/docs/commits/branch/main/LICENSE.md).

### 16.1 Future License Changes

We reserve the right to modify the terms of this License, including its licensing of Contributions, at its sole discretion. In the event that such changes are made, We will make reasonable efforts to notify You through Our chat channels.

#### 16.1.1 Notification Process

Notifications of License changes may include:

- Announcements in Our chat channels
- Updates to the License file in the git repository
- Notifications on Our website or blog
- Email notifications to registered users, if applicable

#### 16.1.2 Review Period

We may, at Our discretion, provide a review period for significant License changes.

During this period, users may submit feedback or concerns about the proposed changes.

#### 16.1.3 Acceptance of Changes

Continued use of the Software after a License change constitutes acceptance of the new terms.

### 16.2 Version Perpetuation

All Works derived from this Software must be licensed under the latest version of this License. This includes Works that are modifications or incorporations of the Software.

Changes to this License retroactively apply to all Works derived from this Software, even those created before the date of the changes.

#### 16.2.1 Scope of Retroactive Application

Retroactive application includes:

- All existing Works derived from the Software
- Any ongoing use or distribution of such Works
- Future modifications to existing derived Works

#### 16.2.2 Compliance Timeline

Users of derived Works must update to the latest License version within a reasonable timeframe after notification of changes.

#### 16.2.3 Conflicts with Existing Agreements

In case of conflicts between retroactive changes and existing agreements:

- The terms of this License shall prevail
- Users may need to renegotiate any conflicting agreements

### 16.3 Last Updated

The terms of this License were last modified on 7 July 2024.

#### 16.3.1 Version Identification

Each version of the License will be identified by:

- The last modification date

#### 16.3.2 Version Comparison

Users can compare different versions of the License by:

- Reviewing the commit history in the git repository
- Checking the "Last Updated" date in each version

#### 16.3.3 Archived Versions

Previous versions of the License will remain accessible in the commit history for reference purposes.

## 17. Contact

If you have questions about this License, We may be reached in Our [chat server](https://chat.nhcarrigan.com).

### 17.1 Communication Channels

#### 17.1.1 Primary Contact Method

Our chat server is the primary method for License-related inquiries.

#### 17.1.2 Additional Contact Methods

- Email: `license@nhcarrigan.com`
- Issue Tracker: https://codeberg.org/nhcarrigan/docs/issues

### 17.2 Response Times

We strive to respond to inquiries within 5 business days.

Complex issues may require additional time for a comprehensive response.

### 17.3 Language Support

Primary communication is in English.

We will make reasonable efforts to accommodate other languages when possible.

### 17.4 Confidentiality

Communications regarding the License are generally not confidential unless explicitly agreed upon.

Do not share sensitive or personal information in public channels.

### 17.5 Suggestions

This License is a living document. We are happy to hear suggestions about the terms of this License. Please reach out to Us in Our chat server.

#### 17.5.1 Suggestion Process

To submit a suggestion:

- Join Our chat server
- Locate the appropriate channel for License discussions
- Clearly state your suggestion and provide a rationale

#### 17.5.2 Evaluation of Suggestions

We will review all suggestions in good faith.

Factors considered in evaluating suggestions include:

- Alignment with the License's overall purpose
- Legal implications
- Impact on existing users and projects
- Practicality of implementation

#### 17.5.3 Feedback on Suggestions

We will provide feedback on suggestions when possible.

Implementation of suggestions is at Our sole discretion.

### 17.6 Legal Inquiries

For formal legal inquiries, please contact `legal@nhcarrigan.com`.

Legal inquiries should be made in writing and may require verification of identity and authority.

### 17.7 Reporting Violations

#### 17.7.1 To report potential License violations:

- Provide a detailed description of the suspected violation
- Include any supporting evidence
- Use the designated reporting channel in Our chat server

### 17.8 Updates to Contact Information

We reserve the right to update Our contact information at any time.

Current contact information will always be available in the latest version of this License.
