---
title: Terms of Service
---

**Effective 7 July 2024**

## 1. OVERVIEW AND ACCEPTANCE OF TERMS

### 1.1 Application Operator

This application (hereinafter referred to as the "Application") is owned and operated by nhcarrigan ("we," "us," or "our"). By accessing or using the Application, you agree to be bound by these Terms of Service ("Terms").

### 1.2 Acceptance of Terms

By using our Application, you engage in our "Service" and agree to be bound by these Terms, including any additional terms, conditions, and policies referenced herein or available via hyperlink. If you do not agree to all the terms and conditions of this agreement, you must not access or use the Application.

### 1.3 Scope of Application

These Terms apply to all users of the Application, including but not limited to browsers, vendors, customers, merchants, and contributors of content.

### 1.4 Modification of Terms

We reserve the right, at our sole discretion, to modify, amend, or replace any part of these Terms at any time. It is your responsibility to check these Terms periodically for changes. Your continued use of or access to the Application following the posting of any changes constitutes acceptance of those changes.

### 1.5 Current Version

The most current version of the Terms will always be available for review on this page. The version date will be clearly indicated at the top of the document.

### 1.6 Additional Features and Tools

Any new features or tools added to the current Application shall also be subject to these Terms.

### 1.7 Electronic Communications

By using this Application or communicating with us by electronic means, you consent to receive communications from us electronically. You agree that all agreements, notices, disclosures, and other communications that we provide to you electronically satisfy any legal requirement that such communications be in writing.

### 1.8 User Accounts

You may be required to create an account to access certain features of the Application. You are responsible for maintaining the confidentiality of your account information and for all activities that occur under your account.

### 1.9 Intellectual Property

All content on this Application, including but not limited to text, graphics, logos, images, and software, is the property of nhcarrigan or its content suppliers and is protected by international copyright laws.

### 1.10 Prohibited Uses

You agree not to use the Application for any unlawful purpose or in any way that could damage, disable, overburden, or impair the Application or interfere with any other party's use of the Application.

### 1.11 Termination

We may terminate or suspend your access to the Application immediately, without prior notice or liability, for any reason whatsoever, including without limitation if you breach these Terms.

### 1.12 Governing Law

These Terms shall be governed by and construed in accordance with the laws of [insert applicable jurisdiction], without regard to its conflict of law provisions.

### 1.13 Severability

If any provision of these Terms is held to be unenforceable or invalid, such provision will be changed and interpreted to accomplish the objectives of such provision to the greatest extent possible under applicable law, and the remaining provisions will continue in full force and effect.

### 1.14 Entire Agreement

These Terms, including any legal notices and disclaimers contained on this Application, constitute the entire agreement between nhcarrigan and you in relation to your use of this Application, and supersede all prior agreements and understandings with respect to the same.

## 2. ONLINE STORE TERMS AND USER ELIGIBILITY

### 2.1 Age Requirement

By agreeing to these Terms of Service, you represent and warrant that:

- You are at least the age of majority in your state, province, or country of residence; or
- If you are under the age of majority, you are using this Application with the consent of your parent or legal guardian, who agrees to be bound by these Terms of Service.

### 2.2 Prohibited Uses

You agree that you will not use our products, services, or Application for any purposes that are unlawful, prohibited by these Terms, or contrary to public policy. Prohibited activities include, but are not limited to:

- Any illegal or unauthorized purpose
- Violating any applicable local, state, national, or international laws or regulations
- Infringing upon or violating our intellectual property rights or the intellectual property rights of others
- Harassing, abusing, insulting, harming, defaming, slandering, disparaging, intimidating, or discriminating based on gender, sexual orientation, religion, ethnicity, race, age, national origin, or disability
- Submitting false or misleading information
- Uploading or transmitting viruses, malware, or any other type of malicious code that will or may be used in any way that will affect the functionality or operation of the Application, our services, or any related website
- Collecting or tracking the personal information of others
- Spamming, phishing, pharming, pretexting, spidering, crawling, or scraping
- Any obscene or immoral purpose
- Interfering with or circumventing the security features of the Application, our services, or any related website

### 2.3 Intellectual Property Rights

You acknowledge and agree that all content and materials available on this Application are protected by copyrights, trademarks, service marks, patents, trade secrets, or other proprietary rights and laws. Except as expressly authorized by nhcarrigan, you agree not to sell, license, rent, modify, distribute, copy, reproduce, transmit, publicly display, publicly perform, publish, adapt, edit, or create derivative works from such materials or content.

### 2.4 User-Generated Content

If you submit any information or content to the Application, you grant nhcarrigan a non-exclusive, royalty-free, perpetual, irrevocable, and fully sublicensable right to use, reproduce, modify, adapt, publish, translate, create derivative works from, distribute, and display such content throughout the world in any media.

### 2.5 Account Termination

We reserve the right to terminate or suspend your account and bar access to the Application immediately, without prior notice or liability, for any reason whatsoever, including but not limited to a breach of these Terms.

### 2.6 Service Modifications

We reserve the right to withdraw or amend our service, and any service or material we provide via the Application, in our sole discretion without notice. We will not be liable if, for any reason, all or any part of the Application is unavailable at any time or for any period.

### 2.7 Security

While we implement reasonable security measures, we cannot guarantee the security of your personal information transmitted to our Application. Any transmission of personal information is at your own risk.

## 3. GENERAL CONDITIONS

### 3.1 Right to Refuse Service

We reserve the right to refuse service to anyone for any reason at any time, without prior notice or explanation. This includes the right to terminate accounts or access to any or all parts of the Application.

### 3.2 Content Transmission and Adaptation

You understand and acknowledge that:

- Your content may be transferred unencrypted and involve transmissions over various networks.
- Your content may be altered to conform and adapt to technical requirements of connecting networks or devices.
- We are not responsible for any loss, alteration, or interception of data during such transmissions.

### 3.3 Intellectual Property and Use Restrictions

You agree not to, without express written permission from nhcarrigan:

- Reproduce, duplicate, copy, sell, resell, or exploit any portion of the Service.
- Use any portion of the Service for commercial purposes unless explicitly authorized.
- Access or attempt to access the Service by any means other than through the interface provided by nhcarrigan.
- Circumvent, disable, or otherwise interfere with security-related features of the Service.
- Engage in unauthorized framing of or linking to the Application.

## 4. ACCURACY, COMPLETENESS AND TIMELINESS OF INFORMATION

### 4.1 Disclaimer of Information Accuracy

We strive to provide accurate and up-to-date information on our Application. However, we cannot and do not guarantee that any information available on this Application is accurate, complete, current, or free from errors. The material on this Application is provided for general information purposes only and should not be relied upon as the sole basis for making decisions without consulting primary, more accurate, more complete, or more timely sources of information.

### 4.2 User Responsibility

You acknowledge and agree that:

- Any reliance on the material on this Application is at your own risk.
- It is your responsibility to evaluate the accuracy, completeness, and usefulness of any information, opinion, advice, or other content available through the Application.

### 4.3 Historical Information

This Application may contain certain historical information. Such historical information is, by its nature, not current and is provided for your reference only. We are under no obligation to update such historical information.

### 4.4 Modifications to Application Content

We reserve the right to modify, update, or remove the contents of this Application at any time, without prior notice. However, we are under no obligation to update any information on our Application. You agree that it is your responsibility to monitor changes to our Application.

### 4.5 No Professional Advice

The information provided on this Application is for informational purposes only and does not constitute professional advice. You should not act or refrain from acting on the basis of any content included in this Application without seeking professional or specialist advice. We disclaim all liability and responsibility arising from any reliance placed on such materials by you or any other visitor to our Application, or by anyone who may be informed of any of its contents.

### 4.6 User-Generated Content

We may allow users to post, submit, publish, display, or transmit content on the Application. Any such user-generated content is not endorsed by us and does not necessarily represent our opinions or policies. We assume no responsibility or liability for any user-generated content or for any loss or damage resulting therefrom.

### 4.7 Errors and Omissions

While we make reasonable efforts to ensure the accuracy of the information on our Application, there may be occasions when information contains typographical errors, inaccuracies, or omissions. We reserve the right to correct any errors, inaccuracies, or omissions and to change or update information at any time without prior notice.

### 4.9 No Guarantee of Timeliness

We do not guarantee that the Application will be updated on a real-time basis, and information presented on the Application may be delayed or may not reflect the most current state of affairs.

## 5. MODIFICATIONS TO THE SERVICE AND PRICES

### 5.1 Right to Modify or Discontinue Service

We reserve the right, at our sole discretion, to modify, suspend, or discontinue the Service (or any part or content thereof) at any time without prior notice. This includes, but is not limited to:

- Adding or removing features or functionality
- Changing the user interface
- Altering the technology stack or infrastructure
- Modifying or discontinuing any content within the Service

### 5.2 Price Changes

We reserve the right to:

- Change, modify, or adjust the pricing for our Service at any time.
- Introduce new fees or charges for previously free aspects of the Service.
- Change the billing methods or payment terms for the Service.

### 5.3 Notice of Changes

While we may attempt to notify you of significant changes to the Service or pricing, we are under no obligation to do so. It is your responsibility to check these Terms and any official communication channels we may establish for updates and changes.

### 5.4 Effect of Changes

Your continued use of the Service after any modifications or price changes constitutes your acceptance of such changes. If you do not agree with any modifications or price changes, you must discontinue using the Service.

### 5.5 No Liability for Modifications or Discontinuation

We shall not be liable to you or to any third party for any:

- Modification, change, suspension, or discontinuance of the Service
- Price change, including increases or introduction of new fees
- Loss of data or functionality resulting from modifications to the Service
- Inconvenience or damages caused by any modification or discontinuation of the Service

### 5.6 Refunds and Credits

Unless explicitly stated otherwise, we are not obligated to provide refunds or credits for any prepaid services in the event of Service modification, price change, suspension, or discontinuation.

### 5.7 Service Level Agreements

Any service level agreements (SLAs) or performance guarantees, if offered, may be modified or terminated at our discretion. Changes to SLAs will be communicated through our official channels.

### 5.8 Third-Party Services and Integrations

We may change, suspend, or discontinue any third-party services or integrations that are part of our Service. We are not responsible for any modifications, price changes, suspension, or discontinuation of third-party services integrated with our Service.

### 5.9 Data Retention and Export

In the event of Service discontinuation, we will make reasonable efforts to:

- Provide notice of the impending discontinuation
- Offer a method for you to export your data, if applicable
- Retain your data for a reasonable period before permanent deletion

### 5.10 Transition Assistance

In case of significant changes or discontinuation of the Service, we may, at our discretion, provide transition assistance or alternative solutions. However, we are under no obligation to do so.

### 5.11 Survival of Terms

Certain provisions of these Terms, by their nature, will continue to apply even after the modification or discontinuation of the Service, including but not limited to provisions relating to intellectual property, limitation of liability, and dispute resolution.

### 5.12 Communication of Changes

While not obligated to do so, we may communicate significant changes to the Service or pricing through one or more of the following methods:

- Email notifications to the address associated with your account
- Notices posted on our Application or website
- Announcements through our official social media channels
- In-app notifications or messages

## 6. OPTIONAL TOOLS AND THIRD-PARTY SERVICES

### 6.1 Provision of Third-Party Tools

We may provide you with access to third-party tools, applications, or services ("Third-Party Tools") over which we neither monitor nor have any control or input. These Third-Party Tools are provided for your convenience only.

### 6.2 No Warranties for Third-Party Tools

You acknowledge and agree that we provide access to such Third-Party Tools "as is" and "as available" without any warranties, representations, or conditions of any kind and without any endorsement. We shall have no liability whatsoever arising from or relating to your use of these optional Third-Party Tools.

### 6.3 Use at Your Own Risk

Any use by you of optional Third-Party Tools offered through the Application is entirely at your own risk and discretion. You should ensure that you are familiar with and approve of the terms on which tools are provided by the relevant third-party provider(s).

### 6.4 Third-Party Terms and Policies

Your use of Third-Party Tools may be subject to separate terms of service, privacy policies, and other agreements with the third-party providers. It is your responsibility to review and comply with such terms.

### 6.5 No Support or Maintenance for Third-Party Tools

We do not provide any support or maintenance for Third-Party Tools. For assistance with these tools, you should contact the third-party provider directly.

### 6.6 Integration and Compatibility

While we may integrate Third-Party Tools into our Service, we do not guarantee their compatibility, accuracy, or continued availability within our Application.

### 6.7 Changes to Third-Party Tools

Third-party providers may modify or discontinue their tools at any time. We are not responsible for any consequences resulting from changes to Third-Party Tools.

### 6.8 Data Sharing with Third Parties

By using Third-Party Tools, you may be sharing your data with these third parties. We are not responsible for how these third parties collect, use, or protect your data. Please review the privacy policies of these third parties before using their tools.

### 6.9 Removal of Third-Party Tools

We reserve the right to disable access to any Third-Party Tool at any time, without notice, for any reason or no reason.

### 6.10 Future Services and Features

We may, in the future, offer new services and/or features through the Application (including the release of new tools and resources). Such new features and/or services shall also be subject to these Terms of Service.

### 6.11 Beta Features

We may offer access to beta features or services. These are provided on an "as is" basis and may be modified or discontinued at any time without notice.

### 6.12 Feedback on Third-Party Tools

While we welcome your feedback on Third-Party Tools, we are under no obligation to act upon such feedback or to communicate it to the third-party providers.

### 6.13 No Revenue Sharing

Unless explicitly stated otherwise, we do not share any revenue or receive any compensation from third-party providers for making their tools available through our Application.

### 6.14 Indemnification for Third-Party Tool Usage

You agree to indemnify, defend, and hold harmless nhcarrigan and its affiliates from any claims, liabilities, damages, or expenses (including attorneys' fees) arising from your use of any Third-Party Tools.

### 6.15 Security and Data Protection

While we take reasonable measures to ensure the security of our Application, we cannot guarantee the security of Third-Party Tools or any data transmitted to or from these tools.

### 6.16 Compliance with Laws

You are responsible for ensuring that your use of Third-Party Tools complies with all applicable laws and regulations.

## 7. THIRD-PARTY LINKS AND CONTENT

### 7.1 Third-Party Materials

Certain content, products, and services available via our Service may include materials from third parties. These may include, but are not limited to, text, graphics, images, videos, software, and other content.

### 7.2 Third-Party Links

Our Application may contain links to third-party websites, applications, or services that are not owned, controlled, or operated by nhcarrigan. These links are provided for your convenience and reference only.

### 7.3 No Responsibility for Third-Party Content

We are not responsible for examining or evaluating the content, accuracy, completeness, timeliness, validity, copyright compliance, legality, decency, quality, or any other aspect of third-party materials, websites, products, or services. We do not warrant and will not have any liability or responsibility for any:

- Third-party materials or websites
- Other materials, products, or services of third parties
- Content or accuracy of any third-party content presented on our Application

### 7.4 Use of Third-Party Websites and Services

Your use of any third-party websites or services is subject to the terms and conditions of use and privacy policies of those third parties. We strongly advise you to read the terms and conditions and privacy policies of any third-party website or service that you visit or use.

### 7.5 No Liability for Third-Party Transactions

We are not liable for any harm, damages, or losses related to the purchase or use of goods, services, resources, content, or any other transactions made in connection with any third-party websites or services. Any transactions you engage in with third parties are between you and the third party, and not with nhcarrigan.

### 7.6 Complaints and Claims

Any complaints, claims, concerns, or questions regarding third-party products or services should be directed to the respective third party. We are not responsible for addressing such issues.

### 7.7 Disclaimer of Warranties

We make no warranties or representations about the accuracy or completeness of any third-party content accessible through our Application, and we assume no liability or responsibility for any:

- Errors, mistakes, or inaccuracies of content
- Personal injury or property damage resulting from your access to or use of third-party services
- Any unauthorized access to or use of our secure servers and/or any personal information stored therein
- Any interruption or cessation of transmission to or from third-party services
- Any bugs, viruses, Trojan horses, or the like which may be transmitted to or through our Application by any third party
- Any loss or damage of any kind incurred as a result of the use of any content posted, emailed, transmitted, or otherwise made available via third-party services

### 7.8 Monitoring of Third-Party Links

While we may periodically review third-party links on our Application, we are under no obligation to monitor or review such links or content. You agree that we have no liability for any loss or damage arising from your use of any third-party website, service, or content.

### 7.9 Removal of Third-Party Links

We reserve the right to remove any third-party links from our Application at any time without notice.

### 7.10 No Endorsement

The presence of third-party links on our Application does not imply endorsement, approval, or sponsorship by nhcarrigan of the linked websites, products, or services.

### 7.11 Framing and Deep Linking

You may not frame or deep link to any page or content on our Application without our express written permission.

### 7.12 Indemnification

You agree to indemnify, defend, and hold harmless nhcarrigan and its affiliates from any claims, liabilities, damages, or expenses (including attorneys' fees) arising from your use of any third-party websites, services, or content accessed through our Application.

### 7.13 Security Warning

Be aware that when you leave our Application by using a link, other sites may have different privacy policies and terms that are beyond our control. Please be sure to check the privacy policies of these sites as well as their "Terms of Service" before engaging in any business or uploading any information.

## 8. USER COMMENTS, FEEDBACK, AND OTHER SUBMISSIONS

### 8.1 User Submissions

By submitting comments, ideas, suggestions, proposals, plans, or other materials ("User Submissions"), whether solicited or unsolicited, you grant nhcarrigan a perpetual, irrevocable, worldwide, non-exclusive, royalty-free, sublicensable, and transferable license to use, reproduce, distribute, prepare derivative works of, display, perform, and otherwise exploit your User Submissions in connection with the Application and nhcarrigan's business.

### 8.2 Rights Granted

You agree that we may, at any time, without restriction or compensation, and without notice:

- Edit, copy, publish, distribute, translate, and otherwise use in any medium any User Submissions
- Use any ideas, concepts, know-how, or techniques contained in any User Submissions for any purpose whatsoever, including developing, manufacturing, and marketing products or services

### 8.3 No Obligation

We are under no obligation to:

- Maintain any User Submissions in confidence
- Pay compensation for any User Submissions
- Respond to any User Submissions

### 8.4 Content Moderation

We reserve the right, but have no obligation, to monitor, edit, or remove any User Submissions that we determine, in our sole discretion, to be:

- Unlawful, offensive, threatening, libelous, defamatory, pornographic, or obscene
- Violating any party's intellectual property rights
- Violating these Terms of Service or our Code of Conduct
- Otherwise objectionable

### 8.5 User Representations and Warranties

You represent and warrant that your User Submissions:

- Do not violate any right of any third party, including copyright, trademark, privacy, personality, or other personal or proprietary rights
- Do not contain libelous, unlawful, abusive, or obscene material
- Do not contain any computer virus or other malware that could affect the operation of the Service or any related website
- Do not violate any applicable local, state, national, or international law or regulation

### 8.6 Prohibited Content

You agree not to submit User Submissions that:

- Impersonate any person or entity
- Falsely state or otherwise misrepresent your affiliation with a person or entity
- Contain false or misleading information
- Infringe upon or violate our intellectual property rights or the intellectual property rights of others
- Promote illegal activities or conduct that is abusive, threatening, obscene, defamatory, or libelous
- Promote discrimination based on race, sex, religion, nationality, disability, sexual orientation, or age
- Contain topics, names, material, or information that violate any applicable law or regulation

### 8.7 Responsibility for User Submissions

You are solely responsible for any User Submissions you make and their accuracy. We take no responsibility and assume no liability for any User Submissions posted by you or any third party.

### 8.8 No Endorsement

We do not endorse any User Submissions or any opinion, recommendation, or advice expressed therein, and we expressly disclaim any and all liability in connection with User Submissions.

### 8.9 Right to Remove or Refuse

We reserve the right to remove any User Submissions from the Application at any time, for any reason, without notice. We also reserve the right to refuse to post any User Submissions, at our sole discretion.

### 8.10 Feedback

If you provide us with any feedback or suggestions regarding the Application ("Feedback"), you hereby assign to us all rights in such Feedback and agree that we shall have the right to use and fully exploit such Feedback in any manner we deem appropriate.

### 8.11 No Compensation

You agree that you will not be entitled to, and shall not receive, any compensation or reimbursement of any kind for your User Submissions or Feedback.

### 8.12 Indemnification

You agree to indemnify and hold nhcarrigan and its affiliates, officers, agents, employees, and partners harmless from any claim or demand, including reasonable attorneys' fees, made by any third party due to or arising out of your User Submissions.

### 8.13 Survival

The provisions of this section shall survive the termination of these Terms of Service.

## 9. PERSONAL INFORMATION AND PRIVACY

### 9.1 Governing Policy

Your submission of personal information through the Application is governed by our Privacy Policy. Our Privacy Policy is incorporated into these Terms of Service by reference.

### 9.2 Location of Privacy Policy

To view our complete Privacy Policy, please visit: [Privacy Policy](./privacy.md)

### 9.3 Consent to Privacy Policy

By using our Application and providing personal information, you consent to the collection, use, and disclosure of your information as described in our Privacy Policy.

### 9.4 Types of Information Collected

We may collect various types of personal information, including but not limited to:

- Contact information (e.g., name, email address, phone number)
- Account credentials
- Usage data and analytics
- Device information
- Location data (if permitted by you)

### 9.5 Use of Personal Information

We use your personal information to:

- Provide and improve our services
- Communicate with you about our services
- Personalize your experience
- Comply with legal obligations
- Protect our rights and the rights of others

### 9.6 Data Security

We implement reasonable security measures to protect your personal information. However, no method of transmission over the Internet or electronic storage is 100% secure, and we cannot guarantee absolute security.

### 9.7 Third-Party Access

We may share your personal information with third-party service providers who assist us in operating our Application and providing services to you. These third parties are obligated to use your information only for the purposes for which we disclose it to them.

### 9.8 Data Retention

We retain your personal information for as long as necessary to fulfill the purposes outlined in our Privacy Policy, unless a longer retention period is required or permitted by law.

### 9.9 Your Rights

Depending on your jurisdiction, you may have certain rights regarding your personal information, such as the right to access, correct, or delete your data. Please refer to our Privacy Policy for more information on how to exercise these rights.

### 9.10 Children's Privacy

Our Application is not intended for use by children under the age of 13 (or the applicable age of digital consent in your jurisdiction). We do not knowingly collect personal information from children under this age.

### 9.11 International Data Transfers

Your information may be transferred to and processed in countries other than your own. By using our Application, you consent to these transfers in accordance with our Privacy Policy.

### 9.12 Cookies and Tracking Technologies

We may use cookies and similar tracking technologies to collect information about your use of our Application. You can manage your cookie preferences through your browser settings.

### 9.13 Changes to Privacy Policy

We may update our Privacy Policy from time to time. We will notify you of any changes by posting the new Privacy Policy on this page and updating the "Last Updated" date.

### 9.14 Contact Information

If you have any questions about our Privacy Policy or how we handle your personal information, please contact us using the information provided in the Privacy Policy.

### 9.15 Governing Law

The collection and use of your personal information shall be governed by the laws specified in our Privacy Policy and these Terms of Service.

## 10. ERRORS, INACCURACIES AND OMISSIONS

### 10.1 Possibility of Errors

We strive to provide accurate and up-to-date information on our Application and in our Service. However, occasionally there may be information that contains typographical errors, inaccuracies, or omissions. We do not warrant that the content within the Service or on any related website is complete, accurate, or current.

### 10.2 Right to Correct Errors

We reserve the right to:

- Correct any errors, inaccuracies, or omissions
- Change or update information
- Modify or discontinue all or part of the Service at any time without prior notice.

### 10.3 No Obligation to Update

We undertake no obligation to update, amend, or clarify information in the Service or on any related website, except as required by law. This includes, but is not limited to:

- Product descriptions
- Pricing information
- Availability information
- User-generated content

### 10.4 Interpretation of Update Dates

No specified update or refresh date applied in the Service or on any related website should be taken to indicate that all information has been modified or updated. The absence of a specific update date does not necessarily mean that the information is current or accurate.

### 10.5 Pricing Errors

In the event that a product or service is mistakenly listed at an incorrect price or with incorrect information, we reserve the right to refuse or cancel any orders placed for that product or service, whether or not the order has been confirmed and your payment method charged.

### 10.6 Changes Without Notice

We reserve the right to change product or service descriptions, pricing, promotions, and availability at any time without notice and without incurring any obligation to you.

### 10.7 User Responsibility

You agree that it is your responsibility to:

- Monitor changes to the Service
- Verify the accuracy of information before relying on it
- Contact us if you find any errors or inaccuracies

### 10.8 Limitation of Liability

We shall not be liable for any loss or damage caused by your reliance on information obtained through the Service. It is your responsibility to evaluate the accuracy, completeness, or usefulness of any information, opinion, advice, or other content available through the Service.

### 10.9 Third-Party Content

We are not responsible for any errors, inaccuracies, or omissions in content provided by third parties, including user-generated content and linked third-party websites.

### 10.10 Reporting Errors

If you believe you have found an error, inaccuracy, or omission in our Service, please contact us immediately with details so that we can investigate and, if necessary, correct the issue.

### 10.11 Accuracy of Information

While we strive to provide accurate information, we do not warrant that product descriptions, pricing, or other content of this Application is accurate, complete, reliable, current, or error-free.

## 11. PROHIBITED USES

In addition to other prohibitions set forth in these Terms of Service, you are strictly prohibited from using the Application or its content in the following ways:

### 11.1 Unlawful Activities

- For any unlawful purpose
- To solicit others to perform or participate in any unlawful acts
- To violate any international, federal, provincial, state, or local regulations, rules, laws, or ordinances

### 11.2 Intellectual Property Infringement

- To infringe upon or violate our intellectual property rights or the intellectual property rights of others

### 11.3 Harassment and Discrimination

- To harass, abuse, insult, harm, defame, slander, disparage, intimidate, or discriminate based on:
  - Gender or gender identity
  - Sexual orientation
  - Religion or religious beliefs
  - Ethnicity
  - Race
  - Age
  - National origin
  - Disability
  - Any other protected characteristic

### 11.4 Misrepresentation

- To submit false or misleading information

### 11.5 Malicious Activities

- To upload or transmit viruses, malware, or any other type of malicious code that will or may be used in any way that will affect the functionality or operation of:

- The Service
- Any related website
- Other websites
- The Internet

### 11.6 Privacy Violations

- To collect or track the personal information of others without their explicit consent

### 11.7 Automated Access

- To engage in any automated use of the system, such as:
  - Spamming
  - Phishing
  - Pharming
  - Pretexting
  - Using scripts to collect information
  - Using bots or scrapers

### 11.8 Obscene or Immoral Purposes

- For any obscene or immoral purpose

### 11.9 Security Interference

- To interfere with or circumvent the security features of:

- The Service
- Any related website
- Other websites
- The Internet

### 11.10 Additional Prohibited Activities

- To impersonate or attempt to impersonate nhcarrigan, an nhcarrigan employee, another user, or any other person or entity
- To engage in any activity that interferes with or disrupts the Service (or the servers and networks which are connected to the Service)
- To attempt to gain unauthorized access to any portion of the Service, other accounts, computer systems, or networks connected to the Service
- To probe, scan, or test the vulnerability of the Service or any network connected to the Service
- To use any device, software, or routine to interfere with the proper working of the Service
- To forge headers or otherwise manipulate identifiers to disguise the origin of any information transmitted through the Service
- To "frame" or "mirror" any part of the Service without our prior written authorization
- To use meta tags or any other "hidden text" utilizing our name or trademarks
- To sell, resell, or make commercial use of the Service without our express written consent
- OR any other activity that violates our Code of Conduct

### 11.11 Enforcement

We reserve the right to:

- Investigate and take appropriate legal action against anyone who, in our sole discretion, violates this section, including without limitation, reporting such user to law enforcement authorities
- Terminate or suspend your access to all or part of the Service for violating any of the prohibited uses
- Remove or refuse to post any user contributions for any or no reason at our sole discretion

### 11.12 Cooperation with Authorities

We will fully cooperate with any law enforcement authorities or court order requesting or directing us to disclose the identity or other information of anyone posting any materials on or through the Service in violation of these prohibitions.

### 11.13 Indemnification

You agree to indemnify, defend, and hold harmless nhcarrigan and its affiliates, licensors, and service providers from any claims resulting from any action taken by us as a result of your violation of these prohibited uses.

### 11.14 Modifications

We reserve the right to modify, add to, or remove any part of this list of prohibited uses at any time without prior notice.

## 12 DISCLAIMER OF WARRANTIES; LIMITATION OF LIABILITY

### 12.1 No Guarantee of Uninterrupted Service

We do not guarantee, represent, or warrant that your use of our Service will be uninterrupted, timely, secure, or error-free. You acknowledge that there may be interruptions, delays, inaccuracies, and other problems with the Service.

### 12.2 No Warranty of Results

We do not warrant that the results that may be obtained from the use of the Service will be accurate or reliable. You acknowledge that any reliance on such results is at your own risk.

### 12.3 Right to Modify or Cancel Service

You agree that we may, in our sole discretion and without prior notice:

- Remove the Service for indefinite periods of time
- Cancel the Service at any time
- Modify, suspend, or discontinue any aspect of the Service

### 12.4 Use at Your Own Risk

You expressly agree that your use of, or inability to use, the Service is at your sole risk. You assume full responsibility and risk of loss resulting from your use of the Service.

### 12.5 'As Is' and 'As Available' Basis

The Service and all products and services delivered to you through the Service are provided on an 'as is' and 'as available' basis, without any representation, warranties, or conditions of any kind, either express or implied, including all implied warranties or conditions of:

- Merchantability
- Merchantable quality
- Fitness for a particular purpose
- Durability
- Title
- Non-infringement

### 12.6 Disclaimer of Warranties

TO THE FULLEST EXTENT PERMISSIBLE PURSUANT TO APPLICABLE LAW, NHCARRIGAN DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

### 12.7 Limitation of Liability

In no case shall nhcarrigan, our directors, officers, employees, affiliates, agents, contractors, interns, suppliers, service providers, or licensors be liable for any injury, loss, claim, or any direct, indirect, incidental, punitive, special, or consequential damages of any kind, including, without limitation:

- Lost profits
- Lost revenue
- Lost savings
- Loss of data
- Replacement costs
- Any similar damages

Whether based in contract, tort (including negligence), strict liability, or otherwise, arising from:

- Your use of any of the Service
- Any products procured using the Service
- Any other claim related in any way to your use of the Service or any product

This limitation applies to any errors or omissions in any content, or any loss or damage of any kind incurred as a result of the use of the Service or any content (or product) posted, transmitted, or otherwise made available via the Service, even if advised of their possibility.

### 12.8 Jurisdictional Limitations

Because some states or jurisdictions do not allow the exclusion or the limitation of liability for consequential or incidental damages, in such states or jurisdictions, our liability shall be limited to the maximum extent permitted by law.

### 12.9 Essential Purpose

You acknowledge and agree that the foregoing disclaimers and limitations of liability are essential elements of the basis of the bargain between you and nhcarrigan, and will apply even if found to have failed their essential purpose.

### 12.10 Force Majeure

We will not be liable for any failure or delay in performing our obligations where such failure or delay results from any cause beyond our reasonable control, including, without limitation, acts of God, natural disasters, pandemic, labor disputes, war, riot, embargoes, acts of civil or military authorities, fire, floods, accidents, strikes, or shortages of transportation facilities, fuel, energy, labor, or materials.

### 12.11 Time Limitation

You agree that any claim or cause of action arising out of or related to use of the Service or these Terms of Service must be filed within one (1) year after such claim or cause of action arose or be forever barred.

## 13. INDEMNIFICATION

### 13.1 Scope of Indemnification

You agree to indemnify, defend, and hold harmless nhcarrigan and our:

- Parent companies
- Subsidiaries
- Affiliates
- Partners
- Officers
- Directors
- Agents
- Contractors
- Licensors
- Service providers
- Subcontractors
- Suppliers
- Interns
- Employees

from any claim or demand, including reasonable attorneys' fees and costs, made by any third party due to or arising out of:

- Your breach of these Terms of Service
- Your breach of any documents incorporated by reference into these Terms
- Your violation of any law or regulation
- Your violation of the rights of any third party
- Your use or misuse of the Service
- Any content you submit, post, or transmit through the Service
- Your interaction with any other user of the Service
- Any transaction you enter into through the Service

### 13.2 Duty to Defend

You agree to cooperate as fully as reasonably required in the defense of any claim. nhcarrigan reserves the right to assume the exclusive defense and control of any matter subject to indemnification by you.

### 13.3 No Admission of Liability

Your agreement to indemnify nhcarrigan does not constitute an admission of liability on your part.

### 13.4 Notification of Claims

You agree to promptly notify nhcarrigan in writing of any third-party claim subject to indemnification.

### 13.5 Settlement of Claims

You agree not to settle any claim without the prior written consent of nhcarrigan.

### 13.6 Expenses

You agree to reimburse nhcarrigan for any and all reasonable expenses incurred in defending against any indemnified claim, including but not limited to attorneys' fees, court costs, and expert witness fees.

### 13.7 Survival of Indemnification

This indemnification obligation will survive the termination of these Terms of Service and your use of the Service.

### 13.8 Limitation on Indemnification

Your indemnification obligation shall be limited to the extent permitted by applicable law.

### 13.9 Right to Assume Defense

nhcarrigan reserves the right, at your expense, to assume the exclusive defense and control of any matter for which you are required to indemnify us, and you agree to cooperate with our defense of these claims.

### 13.10 Mitigation of Damages

Both parties agree to use reasonable efforts to mitigate any potential damages subject to indemnification.

### 13.11 No Waiver of Other Rights

Nothing in this section shall be construed as a waiver of any other rights or remedies nhcarrigan may have under law or equity.

### 13.12 Severability

If any portion of this indemnification provision is found to be unenforceable or invalid, that portion shall be limited or eliminated to the minimum extent necessary so that this indemnification provision shall otherwise remain in full force and effect and enforceable.

### 13.13 Modification

nhcarrigan reserves the right to modify this indemnification provision at any time, effective upon posting of an updated version on this Application. You are responsible for regularly reviewing these Terms of Service to stay informed of updates.

## 14. SEVERABILITY

### 14.1 Severability Principle

In the event that any provision of these Terms of Service is determined to be unlawful, void, or unenforceable, such provision shall:

- Be deemed severed from these Terms of Service
- Not affect the validity and enforceability of any other remaining provisions
- Nonetheless be enforceable to the fullest extent permitted by applicable law

### 14.2 Interpretation of Severed Provisions

If any provision is severed from these Terms:

- The remaining provisions shall be interpreted in a manner that best reflects the original intent of the parties
- The severed provision shall be replaced with a valid and enforceable provision that most closely matches the intent of the original provision

### 14.3 Partial Enforcement

If any provision of these Terms is found to be partially unlawful, void, or unenforceable:

- The provision shall be enforced to the maximum extent permissible under applicable law
- The unenforceable portion shall be deemed to be severed from these Terms

### 14.4 Reformation

In lieu of severing any provision, a court or arbitrator may reform the provision to the extent necessary to make it enforceable while preserving its intent.

### 14.5 Severability in Different Jurisdictions

The severability of provisions may be assessed differently in various jurisdictions. These Terms shall be interpreted and enforced as if the unenforceable provision had never been included, in any jurisdiction where the provision is deemed unenforceable.

### 14.6 Effect on Entire Agreement

The unenforceability or invalidity of any provision shall not affect the enforceability or validity of the entire agreement. These Terms shall continue in full force and effect as if such invalid or unenforceable provision had never been contained herein.

### 14.7 Negotiation in Good Faith

If any provision is determined to be unenforceable, the parties agree to negotiate in good faith to modify these Terms so as to effect the original intent of the parties as closely as possible.

### 14.8 Severability of Headings

The headings used in these Terms are for convenience only and shall not affect the interpretation or enforceability of any provision.

### 14.9 No Waiver

The failure to enforce any part of these Terms shall not constitute a waiver of the right to later enforce that or any other part of these Terms.

### 14.10 Survival of Essential Provisions

Provisions that are essential to the purpose of these Terms, including but not limited to indemnification, limitation of liability, and dispute resolution provisions, shall survive the termination or expiration of these Terms.

### 14.11 Interpretation in Favor of Validity

These Terms shall be interpreted, to the extent possible, in a manner that makes them valid and enforceable under applicable law.

### 14.12 Notification of Unenforceability

If you believe any provision of these Terms to be unenforceable, please notify us in writing with a detailed explanation.

## 15. TERMINATION

### 15.1 Survival of Obligations

The obligations and liabilities of the parties incurred prior to the termination date shall survive the termination of this agreement for all purposes. This includes, but is not limited to:

- Payment obligations
- Indemnification obligations
- Confidentiality obligations
- Intellectual property rights

### 15.2 Effective Period

These Terms of Service are effective unless and until terminated by either you or nhcarrigan.

### 15.3 User-Initiated Termination

You may terminate these Terms of Service at any time by:

- Notifying us in writing that you no longer wish to use our Services
- Ceasing to use our Application
- Closing your account, if applicable

### 15.4 nhcarrigan-Initiated Termination

We reserve the right to terminate this agreement at any time, without notice, if in our sole judgment:

- You fail to comply with any term or provision of these Terms of Service
- We suspect that you have failed to comply with these Terms
- You violate any applicable laws or regulations
- You engage in conduct that is harmful to other users, third parties, or our business interests

### 15.5 Consequences of Termination

Upon termination of these Terms of Service:

- Your right to use the Service will immediately cease
- You will remain liable for all amounts due up to and including the date of termination
- We may deny you access to our Services (or any part thereof)
- We may delete or deactivate your account and all related information and files in your account

### 15.6 Data Retention and Deletion

After termination, we:

- May retain your data for a period of time for backup, archival, or audit purposes
- Are not obligated to maintain or provide you with any of your data
- May delete your data in accordance with our data retention policies and applicable laws

### 15.7 Reinstatement

Terminated accounts may not be reactivated without our express permission.

### 15.8 Refunds

Unless otherwise specified, termination does not entitle you to any refunds for fees paid.

### 15.9 Suspension

In addition to termination, we reserve the right to suspend your access to the Service temporarily or permanently, without notice, for conduct that we believe violates these Terms or is harmful to other users, third parties, or our business interests.

### 15.10 Notice of Termination

While we may provide notice of termination in some cases, we reserve the right to terminate without notice.

### 15.11 Ongoing Obligations

Certain provisions of these Terms shall continue to be effective after termination, including:

- Ownership provisions
- Warranty disclaimers
- Indemnity obligations
- Limitation of liability

### 15.12 Cumulative Remedies

The rights of termination provided in this section are in addition to any other rights and remedies available to nhcarrigan under these Terms or by law.

### 15.13 Appeal Process

If you believe your account has been terminated in error, you may appeal the termination by contacting us with a detailed explanation.

## 16. ENTIRE AGREEMENT

### 16.1 No Waiver

The failure of nhcarrigan to exercise or enforce any right or provision of these Terms of Service shall not constitute a waiver of such right or provision. Our failure to act with respect to a breach by you or others does not waive our right to act with respect to subsequent or similar breaches.

### 16.2 Comprehensive Agreement

These Terms of Service, together with any policies or operating rules posted by us on this Application or in respect to The Service, constitute the entire agreement and understanding between you and nhcarrigan and govern your use of the Service. This agreement supersedes any prior or contemporaneous agreements, communications, and proposals, whether oral or written, between you and us (including, but not limited to, any prior versions of the Terms of Service).

### 16.3 Policies and Operating Rules

Any policies or operating rules posted by us on this Application are hereby incorporated by reference into these Terms of Service.

### 16.4 No Reliance on External Representations

You agree that you have not relied on any statement, promise, or representation made or given by or on behalf of nhcarrigan which is not set out in these Terms of Service or any document expressly referred to in them.

### 16.5 Modification of Terms

No modification of these Terms of Service shall be effective unless it is in writing and signed by an authorized representative of nhcarrigan.

### 16.6 Interpretation

Any ambiguities in the interpretation of these Terms of Service shall not be construed against the drafting party. The language in these Terms shall be interpreted as to its fair meaning and not strictly for or against any party.

### 16.7 Severability

If any provision of these Terms is held to be unenforceable or invalid, such provision will be changed and interpreted to accomplish the objectives of such provision to the greatest extent possible under applicable law, and the remaining provisions will continue in full force and effect.

### 16.8 Assignment

These Terms, and any rights and licenses granted hereunder, may not be transferred or assigned by you but may be assigned by nhcarrigan without restriction.

### 16.9 No Agency

No agency, partnership, joint venture, employee-employer, or franchiser-franchisee relationship is intended or created by these Terms of Service.

### 16.10 Headings

The section titles in these Terms of Service are for convenience only and have no legal or contractual effect.

### 16.11 Survival

All provisions of these Terms which by their nature should survive termination shall survive termination, including, without limitation, ownership provisions, warranty disclaimers, indemnity, and limitations of liability.

### 16.12 Electronic Communications

For contractual purposes, you (a) consent to receive communications from nhcarrigan in an electronic form; and (b) agree that all terms and conditions, agreements, notices, disclosures, and other communications that nhcarrigan provides to you electronically satisfy any legal requirement that such communications would satisfy if it were in writing.

### 16.13 Conflicting Terms

If there is a conflict between these Terms of Service and any other agreement or policy, these Terms of Service will prevail in relation to the subject matter of these Terms.

### 16.14 Language

Where nhcarrigan has provided you with a translation of the English language version of these Terms, you agree that the translation is provided for your convenience only and that the English language version of these Terms will govern your relationship with nhcarrigan.

## 17. GOVERNING LAW AND DISPUTE RESOLUTION

### 17.1 Governing Law

These Terms of Service and any separate agreements whereby we provide you Services shall be governed by and construed in accordance with the laws of the State of Washington, United States, without regard to its conflict of law principles.

### 17.2 Jurisdiction

You agree that any legal action or proceeding between you and nhcarrigan shall be brought exclusively in a federal or state court of competent jurisdiction sitting in Washington, United States.

### 17.3 Binding Arbitration

Any dispute, controversy, or claim arising out of or relating to these Terms of Service, including the formation, interpretation, breach, or termination thereof, including whether the claims asserted are arbitrable, shall be referred to and finally determined by binding arbitration in accordance with the JAMS International Arbitration Rules.

### 17.4 Arbitration Process

The arbitration shall be conducted as follows:

- The arbitration tribunal shall consist of one arbitrator.
- The place of arbitration shall be Seattle, Washington, United States.
- The language to be used in the arbitral proceedings shall be English.
- The arbitration award shall be final and binding on both parties.

### 17.5 Class Action Waiver

To the fullest extent permitted by applicable law, no arbitration under these Terms of Service shall be joined to an arbitration involving any other party subject to these Terms of Service, whether through class arbitration proceedings or otherwise.

### 17.6 Exception to Arbitration

Notwithstanding the foregoing, we reserve the right to bring an action in any court of competent jurisdiction to seek injunctive or other equitable relief in the event of a breach or threatened breach by you of these Terms of Service.

### 17.7 Time Limitation

You agree that regardless of any statute or law to the contrary, any claim or cause of action arising out of or related to use of the Service or these Terms of Service must be filed within one (1) year after such claim or cause of action arose or be forever barred.

### 17.8 Severability

If any provision of this Section 17 is held to be unenforceable, such provision shall be struck and the remainder of this section shall be enforced.

### 17.9 Modifications to this Section

nhcarrigan reserves the right to modify this Section 17 at any time. If we do make changes, we will provide notice of such changes by posting the revised Terms of Service on our Application and updating the "Last Updated" date at the top of this Section 17. Your continued use of the Service following the posting of changes to this section constitutes your acceptance of those changes.

### 17.10 Costs of Arbitration

The costs of arbitration shall be borne by You unless the arbitrator determines otherwise.

### 17.11 Confidentiality

The parties agree to keep confidential all awards in their arbitration, together with all materials in the proceedings created for the purpose of the arbitration and all other documents produced by another party in the proceedings not otherwise in the public domain, save and to the extent that disclosure may be required of a party by legal duty, to protect or pursue a legal right, or to enforce or challenge an award in legal proceedings before a court or other judicial authority.

## 18. CHANGES TO TERMS OF SERVICE

### 18.1 Current Version

You can review the most current version of the Terms of Service at any time on this page: https://docs.nhcarrigan.com/#/terms

### 18.2 Right to Modify

We reserve the right, at our sole discretion, to update, change, or replace any part of these Terms of Service by posting updates and changes to our website. This includes the right to modify, discontinue, or add to any portion of these Terms at any time.

### 18.3 Notification of Changes

While we may attempt to notify you when major changes are made to these Terms of Service, you should periodically review the most up-to-date version. We may, but are not obligated to, provide additional notice of significant changes.

### 18.4 User Responsibility

It is your responsibility to check our website periodically for changes to these Terms of Service. We recommend reviewing these Terms at least once every 30 days.

### 18.5 Acceptance of Changes

Your continued use of or access to our website or the Service following the posting of any changes to these Terms of Service constitutes acceptance of those changes. If you do not agree to the modified terms, you should discontinue your use of the Service.

### 18.6 Effective Date of Changes

Any changes to these Terms will be effective immediately upon posting unless otherwise stated. The "Last Updated" date at the top of this Terms of Service will be updated to reflect the date of the most recent changes.

### 18.7 Material Changes

If we make material changes to these Terms, we will provide a more prominent notice or, in some cases, email notification of the changes.

### 18.8 Prior Versions

We may, at our discretion, provide access to prior versions of these Terms. However, please note that your use of the Service is governed by the current version of the Terms at the time of your use.

### 18.9 Continuation of Service

If you do not agree with the changes to these Terms, you must stop using the Service. Continued use of the Service will indicate your acceptance of the new Terms.

### 18.10 Severability of Changes

If any change to these Terms is found to be invalid, void, or for any reason unenforceable, that change is severable and does not affect the validity and enforceability of any remaining changes or the Terms as a whole.

### 18.11 Governing Law of Changes

Any changes to these Terms will be governed by the law specified in the "Governing Law" section of these Terms.

### 18.12 Questions About Changes

If you have any questions or concerns about changes to these Terms, please contact us at terms@nhcarrigan.com.

### 18.13 Language of Changes

Any changes to these Terms will be made in the same language(s) in which these Terms are provided. In the event of any discrepancy between versions in different languages, the English version shall prevail.

## 19. CONTACT INFORMATION

### 19.1 Primary Contact Method

Questions about the Terms of Service should be sent to us at:

Email: terms@nhcarrigan.com

### 19.2 Additional Contact Information

For other inquiries or concerns, you may also reach us through the following channels:

Email: contact@nhcarrigan.com
Discord: https://chat.nhcarrigan.com

### 19.3 Business Hours

Our team is available to respond to inquiries during the following hours:

M-F 9a-5p PST

### 19.4 Response Time

We strive to respond to all inquiries within 48 business hours. However, complex issues may require additional time for a comprehensive response.

### 19.5 Reporting Violations

If you believe any user has violated these Terms of Service, please report it immediately to the email address above.

### 19.6 Technical Support

For technical issues or support related to the Service, please contact: support@nhcarrigan.com

### 19.7 Legal Notices

Any legal notices should be sent to: legal@nhcarrigan.com

### 19.8 Press Inquiries

For press or media inquiries, please contact: press@nhcarrigan.com

### 19.9 Updates to Contact Information

We may update our contact information from time to time. The most current contact information will always be available in these Terms of Service.

### 19.10 Privacy Concerns

For privacy-related questions or to exercise your data rights, please contact our Data Protection Officer at: privacy@nhcarrigan.com

### 19.11 Accessibility

If you have any accessibility concerns or require these Terms in an alternative format, please contact us at the email address provided above.

### 19.12 Language Support

We currently offer support in the following languages:

- English

For support in these languages, please use the appropriate contact method listed on our website.

### 19.13 Social Media

While we maintain social media accounts, please note that these are not official channels for legal notices or time-sensitive communications. For urgent matters, please use the email address provided above.
